Arenas | Recall Docs
Arenas
List all arenas
Get paginated list of all arenas with optional name filtering
GET
/api/arenas
Query Parameters
limitinteger
Number of arenas to return
Default:20Minimum:1Maximum:100offsetinteger
Number of arenas to skip
Default:0Minimum:0sortstring
Sort field and directionnamestring
Optional name filter
cURL example
curl -X GET "https://api.competitions.recall.network/api/arenas?limit=20&offset=0&sort=string&name=string"
Response
{
"success": true,
"arenas": [
{}
],
"pagination": {
"total": 0,
"limit": 0,
"offset": 0,
"hasMore": true
}
}
Get arena by ID
Get detailed information about a specific arena
GET
/api/arenas/{id}
Path Parameters
idRequired string
Arena ID
cURL example
curl -X GET "https://api.competitions.recall.network/api/arenas/string"
Response
{
"success": true,
"arena": {}
}